/*
                        Endeavour Archive Operations
 */

#ifndef EDVARCHOP_H
#define EDVARCHOP_H

#include <gtk/gtk.h>
#include "endeavour.h"


extern const gchar *EDVArchOPGetError();

extern gint EDVArchOPDelete(
        edv_core_struct *core_ptr,
        const gchar *arch_obj,
        edv_archive_object_struct *obj_stat,
        GtkWidget *toplevel,
        gbool show_progress, gbool interactive,
        gbool *yes_to_all
);
extern gint EDVArchOPAdd(
        edv_core_struct *core_ptr,
        const gchar *arch_obj, const gchar *tar_path,
        gchar ***new_obj_path, gint *total_new_obj_paths,
        GtkWidget *toplevel,
        gbool show_progress, gbool interactive, gbool *yes_to_all,
	gbool recursive, gint compression, gbool dereference_links
);
extern gint EDVArchOPExtract(
        edv_core_struct *core_ptr,
        const gchar *arch_obj,
        edv_archive_object_struct **src_aobj, gint total_src_aobjs,
        const gchar *dest_path,
        gchar ***new_obj_rtn, gint *total_new_obj_rtns,
        GtkWidget *toplevel,
        gbool show_progress, gbool interactive, gbool *yes_to_all,
	gbool preserve_directories
);


#endif	/* EDVARCHOP_H */
